.NET 4.7.x target? Xamarin compatible?

Post here your questions about the Unity / .Net / Mono / Windows 8 / Windows Phone 8 API for SFS2X

Moderators: Lapo, Bax

Zanpher
Posts: 96
Joined: 05 Oct 2009, 23:15

.NET 4.7.x target? Xamarin compatible?

Postby Zanpher » 15 Jul 2017, 01:01

Good Morning,

I tried installing the c# api through NuGet, however, the install failed due it not being compatible with 4.7.

1. Is there a chance for a version that target the .net framework 4.7?
2. What version is this library compatible with?
3. Is it Xamarin compatible? AKA, I can use it deployed on IOS, Android, and Windows?
User avatar
Bax
Site Admin
Posts: 4322
Joined: 29 Mar 2005, 09:50
Location: Italy
Contact:

Re: .NET 4.7.x target? Xamarin compatible?

Postby Bax » 17 Jul 2017, 12:53

Can you please describe your setup?
Because in Xamarin for macOS .Net Framework 4.7 doesn't seem to be available at the moment.
We also tried to install the framework in Windows, but again the project setting in Visual Studio 2015 doesn't allow to target it.

In any case I don't think the API is not compatible. It certainly is with .Net Framework 4.6.2, as we tested it both in Xamarin (macOS) and Visual Studio 2015 (Windows).
Would you be able to test without using NuGet?
Paolo Bax
The SmartFoxServer Team
User avatar
Lapo
Site Admin
Posts: 19560
Joined: 21 Mar 2005, 09:50
Location: Italy

Re: .NET 4.7.x target? Xamarin compatible?

Postby Lapo » 17 Jul 2017, 13:28

As a side note I have to add that we have a Windows 8.1 machine with Visual Studio 2017 and there doesn't seem to be a way to obtain the .Net 4.7 runtime from the main VS2017 installer, as it does not even appear in the list of available updates.

Has Microsoft changed the way to add .Net updates to VS2017? Or are there limits to which Windows versions can be used?

Thanks
Lapo
--
gotoAndPlay()
...addicted to flash games
Zanpher
Posts: 96
Joined: 05 Oct 2009, 23:15

Re: .NET 4.7.x target? Xamarin compatible?

Postby Zanpher » 17 Jul 2017, 14:30

Thank you both for your replies :)

I am running windows 10 with the creator's update. From what I understand, 4.7 runtime and targeting pack options are only available for windows 10 with the creator's update. If you have it (or will have it), you can go into the installer, click on "Modify", under "Individual Components", and it should show up under .Net, right under 4.6.2.

I was able to download from your website and reference the DLL from there and use it! Yes!

My only concern now is the Xamarin compatibility. After fighting with many things yesterday, I got SFS to work with a C# client. Tonight after work, I'll create a Xamarin IOS client and test against that and get back with you fine folks :)

Thank you again for the responses!

Return to “SFS2X C# API”

Who is online

Users browsing this forum: No registered users and 6 guests